cURL
curl --request GET \ --url https://app.edpire.com/api/v1/collections/{id}/results \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "learner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "learner_ref": "<string>", "status": "<string>", "attempt_number": 123, "score": 123, "max_score": 123, "percentage": 123, "passed": true, "started_at": "2023-11-07T05:31:56Z", "submitted_at": "2023-11-07T05:31:56Z", "graded_at": "2023-11-07T05:31:56Z", "assessment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "assessment_title": "<string>" } ], "error": { "message": "<string>" }, "meta": { "total": 123, "page": 123, "limit": 123 } }
API key starting with edp_live_. Pass via Authorization: Bearer edp_live_xxx.
edp_live_
Authorization: Bearer edp_live_xxx
Scopes: read:assessments, write:assessments, read:results, write:submissions.
read:assessments
write:assessments
read:results
write:submissions
Collection UUID
x <= 100
Flat paginated list of submissions with assessment titles
Show child attributes